<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddLdapFilterReq StructType
 * @subpackage Structs
 */
class AddLdapFilterReq extends APIRequest
{
    /**
     * The ldapFilter
     * @var XLdapFilter
     */
    public $ldapFilter;
    /**
     * Constructor method for AddLdapFilterReq
     * @uses AddLdapFilterReq::setLdapFilter()
     * @param XLdapFilter $ldapFilter
     */
    public function __construct(XLdapFilter $ldapFilter = null)
    {
        $this
            ->setLdapFilter($ldapFilter);
    }
    /**
     * Get ldapFilter value
     * @return XLdapFilter|null
     */
    public function getLdapFilter()
    {
        return $this->ldapFilter;
    }
    /**
     * Set ldapFilter value
     * @param XLdapFilter $ldapFilter
     * @return AddLdapFilterReq
     */
    public function setLdapFilter(XLdapFilter $ldapFilter = null)
    {
        $this->ldapFilter = $ldapFilter;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddLdapFilterReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
